import Config

config :tailwind,
  version: "3.2.7",
  default: [
    args: ~w(
      --config=tailwind.config.js
      --input=css/app.css
      --output=../priv/static/assets/app.css
    ),
    cd: Path.expand("../assets", __DIR__)
  ]

config :esbuild,
  version: "0.19.3",
  default: [
    args:
      ~w(js/app.js --bundle --target=es2016 --outdir=../priv/static/assets/),
    cd: Path.expand("../assets", __DIR__),
    env: %{"NODE_PATH" => Path.expand("../deps", __DIR__)}
  ],
  serve: [
    args:
      ~w(js/app.js --bundle --target=es2016 --outdir=../priv/static/assets/ --servedir=../priv/static/),
    cd: Path.expand("../assets", __DIR__),
    env: %{"NODE_PATH" => Path.expand("../deps", __DIR__)}
  ]

config :tree_sitter, version: "0.20.8", config_directory: "tree-sitter"

config :pre_dot_hn, host: "pre.hn", base: "https://pre.hn/"
